SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000682SiT!profilespublic2009-05-01 15:222009-08-16 14:40
ReporterBonkie 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000682: Bug: Wrong link in emails. When resetting password
DescriptionWhen resetting the password the URL is incorrect this error is stated in line 64 of forgotpwd.php.

Correct line:

$reseturl = "{$CONFIG['application_webpath']}forgotpwd.php?action=confirmreset&userid={$userdetails->id}&hash={$hash}";

File included as attachment.
Based on build: v3.50 svn5217
TagsNo tags attached.
Attached Files? file icon forgotpwd.php [^] (12,881 bytes) 2009-05-01 15:22

- Relationships
related to 0000607closedivan Forgot Password script uses HTTP_REFERER for URI in emails 

-  Notes
User avatar (0001159)
ivan (administrator)
2009-05-30 20:31

Fixed in trunk svn r5425
User avatar (0001734)
ivan (administrator)
2009-08-16 14:40

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-05-01 15:22 Bonkie New Issue
2009-05-01 15:22 Bonkie File Added: forgotpwd.php
2009-05-03 11:52 paulh Relationship added related to 0000607
2009-05-30 20:31 ivan Note Added: 0001159
2009-05-30 20:31 ivan Assigned To => ivan
2009-05-30 20:31 ivan Status new => resolved
2009-05-30 20:31 ivan Resolution open => fixed
2009-05-30 20:31 ivan Fixed in Version => Current SVN
2009-08-15 21:31 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:40 ivan Note Added: 0001734
2009-08-16 14:40 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker